Bug 421291 - Installation wants to format bootsdrive
Installation wants to format bootsdrive
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-12 07:56 EST by Ralf Corsepius
Modified: 2008-01-02 11:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-02 11:40:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-12-12 07:56:26 EST
Description of problem:

I just installed F8/i386 from scratch, booting from a usbstick using
bootdisk.img. During installation, when being asked about formating the
harddrive, anaconda also wanted to format the usbstick (/dev/sdb).

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. dd bootdisk.img to a usbstick
2. boot from usbstick and try to install F8 via network (I used ftp)

Additional info:
I am not sure if anaconda's attempt to formating/destroying the boot medium does
actually destroys the installation (I answered no to formatting /dev/sdb) nor
did I  try to reproduce this), but it took me by surprise and doesn't seem
reasonable to me that installation wants to destroy the installation medium.
Comment 1 Jon Stanley 2007-12-17 15:24:48 EST
Anaconda offers you the option of formatting any formattable media that it
finds.  It is up to the user to deslect applicable media when doing so would
shoot themselves in the foot.

Also, at that point, Anaconda is already loaded into RAM - everything that is
need is on the initrd.  Therefore, formatting the USB stick at that point would
not be fatal.
Comment 2 Jon Stanley 2008-01-02 11:40:40 EST
Closing per previous comment.  If you feel that this is incorrect, feel free to
re-open this bug report.

Note You need to log in before you can comment on or make changes to this bug.